<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvBorders - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>
  <style>
    .square-example {
      background-color: #f0f0f0;
      display: inline-block;
      height: 5rem;
      margin: 0.25rem;
      width: 5rem;
    }

    .square-example.square-border {
      border: 1px solid #d3d3d3;
    }

    .example-img {
      width: 100px;
    }
  </style>
</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Borders</h1>
      <h3>Default</h3>
      <div class='nv-d-flex'>
        <div class="square-example nv-border"></div>
        <div class="square-example nv-border-top"></div>
        <div class="square-example nv-border-right"></div>
        <div class="square-example nv-border-bottom"></div>
        <div class="square-example nv-border-left"></div>
      </div>
    </div>

    <div class="area-component">
      <h3>Subtractive</h3>
      <div class='nv-d-flex'>
        <div class="square-example square-border nv-border-0"></div>
        <div class="square-example square-border nv-border-top-0"></div>
        <div class="square-example square-border nv-border-right-0"></div>
        <div class="square-example square-border nv-border-bottom-0"></div>
        <div class="square-example square-border nv-border-left-0"></div>
      </div>
    </div>

    <div class="area-component">
      <h3>Color</h3>
      <div class='nv-d-flex'>
        <div class="square-example nv-border nv-border-primary"></div>
        <div class="square-example nv-border nv-border-secondary"></div>
        <div class="square-example nv-border nv-border-danger"></div>
        <div class="square-example nv-border nv-border-warning"></div>
        <div class="square-example nv-border nv-border-success"></div>
      </div>
    </div>

    <div class="area-component">
      <h3>Size</h3>
      <div class='nv-d-flex'>
        <img class="example-img nv-border-rounded nv-mr-2" src="https://images.unsplash.com/photo-1519612535780-b5d7d96c36f3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1534&q=80">
        <img class="example-img nv-border-rounded-top nv-mr-2" src="https://images.unsplash.com/photo-1519612535780-b5d7d96c36f3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1534&q=80">
        <img class="example-img nv-border-rounded-right nv-mr-2" src="https://images.unsplash.com/photo-1519612535780-b5d7d96c36f3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1534&q=80">
        <img class="example-img nv-border-rounded-bottom nv-mr-2" src="https://images.unsplash.com/photo-1519612535780-b5d7d96c36f3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1534&q=80">
        <img class="example-img nv-border-rounded-left nv-mr-2" src="https://images.unsplash.com/photo-1519612535780-b5d7d96c36f3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1534&q=80">
      </div>
    </div>


  </div>
</body>
</html>
 